Page MenuHomePhabricator

Create a Trusty labs image for CI isolation project
Closed, DeclinedPublic

Description

To speed up instance spawning we need an image in wmflabs that comes with most packages / puppet work already done, then the instance first boot will be way faster (it takes up to two hours to install everything currently).

The process is to use a Trusty instance as the build host then use the labs_vmbuilder puppet module to bring in the image creation utility and manifests. The process is documented at https://wikitech.wikimedia.org/wiki/OpenStack#Building_Ubuntu_images

We will need to hook in it or adjust labs_vmbuilder to be able to inject additional puppet classes to be applied on the image being build.

Aiming for Trusty since that is the system CI is using right now. Andrew told me that the Jessie image build is not fully ready following Jessie release.

Event Timeline

hashar created this task.Apr 28 2015, 9:00 PM
hashar raised the priority of this task from to High.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2015, 9:00 PM
hashar added a subscriber: Andrew.Apr 28 2015, 9:00 PM

+ @Andrew since he is the grand master of image building for wmflabs !

hashar claimed this task.Apr 28 2015, 9:00 PM
hashar moved this task from Backlog to In-progress on the Continuous-Integration-Scaling board.

Created instance i-00000bad with image "ubuntu-14.04-trusty" and hostname integration-vmbuilder-trusty.eqiad.wmflabs

hashar removed hashar as the assignee of this task.Jun 17 2015, 9:12 PM
hashar lowered the priority of this task from High to Normal.

Will do the Trusty image later on and focus on a custom Debian image first (task to be created).

hashar closed this task as Declined.Jul 29 2015, 7:58 AM
hashar claimed this task.

Will be done later eventually. Our target is Jessie for now.